package intrinsic.mx.messaging.channels;

public class NetConnectionChannel extends intrinsic.mx.messaging.channels.PollingChannel {

	/** Accessors */
	public intrinsic.flash.net.NetConnection netConnection;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public NetConnectionChannel() {
}

public NetConnectionChannel(Object arg0) {
}

public NetConnectionChannel(Object arg0, Object arg1) {
}


/** Static Methods */

/** Methods */
public native void receive(intrinsic.mx.messaging.messages.IMessage arg0);
public native void AppendToGatewayUrl(String arg0);

}
